/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <gtk/gtk.h>

#include "xfbib-integer.h"

struct _XfbibInteger
{
	GObject parent;
	gchar *str;
};

typedef struct _XfbibIntegerClass
{
	GObjectClass parent;
} XfbibIntegerClass;

static void xfbib_integer_class_init(XfbibIntegerClass *klass);

static void xfbib_integer_init(XfbibInteger *instance);
static void xfbib_integer_finalize(GObject *obj);

G_DEFINE_TYPE(XfbibInteger, xfbib_integer, G_TYPE_OBJECT)

static void
xfbib_integer_class_init(XfbibIntegerClass *klass)
{
	GObjectClass *object_class = (GObjectClass *)klass;
	object_class->finalize = xfbib_integer_finalize;
}

static void
xfbib_integer_init(XfbibInteger *instance)
{
	instance->str = NULL;
}

static void
xfbib_integer_finalize(GObject *obj)
{
	G_OBJECT_CLASS(xfbib_integer_parent_class)->finalize(obj);
}

XfbibInteger *
xfbib_integer_new()
{
	XfbibInteger *integer;
	integer = g_object_new(XFBIB_TYPE_INTEGER, NULL);
	return integer;
}

gchar *
xfbib_integer_get(XfbibInteger *integer)
{
	return integer->str;
}

void
xfbib_integer_set(XfbibInteger *integer, const gchar *str)
{
	g_free(integer->str);
	integer->str = g_strdup(str);
}
