/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_MULTIPLE_INPUT_H
#define __XFBIB_MULTIPLE_INPUT_H

#include <gtk/gtk.h>

#define XFBIB_TYPE_MULTIPLE_INPUT             (xfbib_multiple_input_get_type())
#define XFBIB_MULTIPLE_INPUT(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_MULTIPLE_INPUT, XfbibMultipleInput))
#define XFBIB_IS_MULTIPLE_INPUT(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_MULTIPLE_INPUT))
#define XFBIB_MULTIPLE_INPUT_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_MULTIPLE_INPUT, XfbibMultipleInputClass))
#define XFBIB_IS_MULTIPLE_INPUT_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_MULTIPLE_INPUT))
#define XFBIB_MULTIPLE_INPUT_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_MULTIPLE_INPUT, XfbibMultipleInputClass))

G_BEGIN_DECLS

typedef struct _XfbibMultipleInput         XfbibMultipleInput;

GType xfbib_multiple_input_get_type() G_GNUC_CONST;

GtkWidget *xfbib_multiple_input_new(gchar *, gchar *);
void xfbib_multiple_input_set_text(XfbibMultipleInput *, const gchar *);
void xfbib_multiple_input_set(XfbibMultipleInput *, GList *);
const gchar *xfbib_multiple_input_get_nth_row_ith_column(XfbibMultipleInput *, gint, gint);
const gchar *xfbib_multiple_input_get_str(XfbibMultipleInput *);
GList *xfbib_multiple_input_get(XfbibMultipleInput *);

G_END_DECLS

#endif //__XFBIB_MULTIPLE_INPUT_H

